Subject: RE: [Ospf-wireless-design] Design Team slides for IETF 63

From: Richard Ogier <[email-masked]>
Date: Tue, 02 Aug 2005 22:24:38 -0700

Phil wrote:

> Specifically, I don't see a clear winner on how to do backup/pushback
> relaying.  The ORs design requires an ack to be received by each
> adjacent neighbor for the flooded LSA while the MDRs design requires an
> ack or hearing a flood of the LSA to all covered neighbors.  The result
> is that ORs have more backup floods while MDRs have more retransmissions
> due to the loss of the first flooded LSA.  If the design team would like
> to compare these mechanism, I don't see any reason why the pushback
> mechanism is precluded from the MDR approach or the backup mechanism is
> precluded from the OR approach.

In my previous message, I mentioned a modification of the MDR
BackupWait mechanism which requires a (Backup) MDR to receive
an ACK from each adjacent neighbor in order to suppress flooding
the LSA (out the receiving interface).  In the current mechanism,
a (Backup) MDR will suppress flooding the LSA as long as
all adjacent and dependent neighbors are covered, even
if an ACK was not received from an adjacent neighbor.

I ran some simulations that show that the modified mechanism
usually results in more overhead (which is contrary to the
purpose of the modification).  I will now explain why
this might happen.  If an ACK is not received from an adjacent
neighbor, then it is possible that the neighbor received
(and ACKed) the LSA but the router did not hear the ACK.
In this case, flooding the LSA as a multicast only
wastes overhead since the neighbor will not ACK a multicast
LSA (so the router must then retransmit the LSA as a unicast).
Therefore, in this case, overhead is saved by suppressing
the flood (and instead retransmitting the LSA as a unicast)
even though an ACK was not received.

Also, when partial adjacencies are used, there are fewer adjacent
neighbors to which an LSA may need to be retransmitted.
Therefore, it is not as important to minimize unicast
retransmissions when partial adjacencies are used.

I am not saying that the mechanism should not be modified -
only that there may be reasons to keep it as is.
Future simulation comparisons may show that a different
mechanism is preferable.

Richard

_______________________________________________
Ospf-wireless-design mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-wireless-design